%define name	vtun
%define version	2.4
%define release	2mdk

Name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/Other
Url: http://vtun.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
Patch:	%name-makefile.patch.bz2
Summary: Virtual tunnel over TCP/IP networks.
BuildRoot: %_tmppath/%{name}-buildroot
Obsoletes: vppp
Requires: zlib liblzo1
Buildrequires: zlib-devel liblzo1-devel

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP networks
and allows to shape, compress, encrypt traffic in that tunnels. 
Supported type of tunnels are: PPP, IP, Ethernet and most of other serial 
protocols and programs.

VTun is easily and highly configurable, it can be used for various network
tasks like VPN, Mobil IP, Shaped Internet access, IP address saving, etc.
It is completely user space implementation and does not require modification
to any kernel parts. 

This package is build with%{!?USE_SOCKS:out} SOCKS-support.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%patch -p1

%build
%configure					   \
            --prefix=%_prefix 	   \
	    --sysconfdir=%_sysconfdir 	   \
	    --localstatedir=/var	   \
            --enable-lzo                           \
%{?USE_SOCKS: --enable-socks}

make CFG_FILE=/etc/vtund.conf PID_FILE=/var/run/vtund.pid  \
     STAT_DIR=/var/log/vtund LOCK_DIR=/var/lock/vtund

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_sbindir
install -d $RPM_BUILD_ROOT%_mandir/man8
install -d $RPM_BUILD_ROOT%_mandir/man5
install -d $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -d $RPM_BUILD_ROOT/var/log/vtund
install -d $RPM_BUILD_ROOT/var/lock/vtund

export MAN_DIR=$RPM_BUILD_ROOT%_mandir
export STAT_DIR=$RPM_BUILD_ROOT/var/log/vtund
export LOCK_DIR=$RPM_BUILD_ROOT/var/lock/vtund
export CFG_FILE=$RPM_BUILD_ROOT/etc/vtund.conf
export ETC_DIR=$RPM_BUILD_ROOT%_sysconfdir
export sysconfdir=$RPM_BUILD_ROOT/etc

make sysconfdir=$RPM_BUILD_ROOT/etc ETC_DIR=$RPM_BUILD_ROOT%_sysconfdir MAN_DIR=$RPM_BUILD_ROOT%_mandir \
	VAR_DIR=$RPM_BUILD_ROOT/var SBIN_DIR=$RPM_BUILD_ROOT%_sbindir install

install scripts/vtund.rc.red_hat $RPM_BUILD_ROOT/etc/rc.d/init.d/vtund

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vtund

%preun
/sbin/chkconfig --del vtund

%files
%defattr(-,root,root)
%doc ChangeLog Credits FAQ README README.Setup README.Shaper TODO
%doc TODO vtund.conf 
%config %_sysconfdir/rc.d/init.d/vtund
%config(noreplace) %_sysconfdir/vtund.conf
%_sbindir/vtund
%dir /var/log/vtund
%dir /var/lock/vtund
%_mandir/man8/vtund.8*
%_mandir/man8/vtun.8*
%_mandir/man5/vtund.conf.5*

%changelog
* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4-2mdk
- fix buildrequires

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
_ updated to stable version

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4b2-1mdk
- new in contribs
- requires liblzo
